rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    # path('', admin.index, name='home'),
    ################################################# PATH URL UNTUK ADMIN################################################# 
    path('', include(
        [
            path('', admin.index, name='admin_home'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

          
            # USERS
            path('user/', include(
                [
                    path('', user.admin_index, name='admin_user'),
                    path('create/', user.create, name='admin_user_create'),
                    path('password/edit/', user.edit_password, name='admin_user_password_edit'),
                    path('profile/edit/<str:username>/', user.edit_profile, name='admin_user_edit'),
                    path('avatar/edit/<str:username>/', user.edit_avatar, name='admin_user_avatar_edit'),
                    path('detail/', user.admin_detail, name='admin_user_detail'),
                    path('soft_delete/<str:username>/', user.softDelete, name='admin_user_soft_delete'),
                    path('permanent_delete/<str:slug>/', user.permanentDelete, name='admin_user_permanent_delete'),
                    path('restore/<str:username>/', user.restore, name='admin_user_restore'),
                    path('edit_role/', user.edit_role, name='admin_user_edit_role'),
                    path('non_aktif/<str:id>/', user.non_aktif, name='non_aktif'),
                    path('re_aktif/<str:id>/', user.re_aktif, name='aktif'),
                ]
            )),

            # SETTING APLIKASI
            path('setting/', include(
                [
                    # path('', user.admin_index, name='admin_setting'),
                    path('running_text/', setting.admin_index_running_text, name='admin_setting_running_text'),
                    path('running_text/edit/', setting.admin_index_running_text_edit, name='admin_setting_running_text_edit'),
                    path('link/', setting.admin_index_link, name='admin_setting_link'),
                    path('links/edit/', setting.admin_index_link_edit, name='admin_setting_link_edit'),
                    path('infografis/', setting.admin_index_infografis, name='admin_setting_infografis'),
                   
                    path('me/<str:section>/', setting.admin_index_aboutme, name='admin_setting_aboutme'),
                    path('create/me/<str:section>/', setting.create_aboutme, name='admin_setting_create_aboutme'),
                    path('edit/me/<str:section>/<str:id>/', setting.edit_aboutme, name='admin_setting_edit_aboutme'),
                    path('delete/<str:section>/<str:id>/', setting.delete_aboutme, name='admin_setting_delete_aboutme'),
          
                ]
            )),

            # MASTER KATEGORI================================================
            path('kategori/', include(
                [
                    path('', categori.admin_index, name='admin_kategori'),
                    path('create/', categori.create, name='admin_kategori_create'),
                    path('edit/<str:id>/', categori.edit, name='admin_categori_edit'),
                    path('soft_delete/<str:id>/', categori.softDelete, name='admin_categori_soft_delete'),
                    path('restore/<str:id>/', categori.restore, name='admin_categori_restore'),
                    
                ]
            )),

            # MASTER TAHUN================================================
            path('tahun/', include(
                [
                    path('', tahun.admin_index, name='admin_tahun'),
                    path('create/', tahun.create, name='admin_tahun_create'),
                    path('edit/<str:id>/', tahun.edit, name='admin_tahun_edit'),
                    path('soft_delete/<str:id>/', tahun.softDelete, name='admin_tahun_soft_delete'),
                    path('restore/<str:id>/', tahun.restore, name='admin_tahun_restore'),
                    
                ]
            )),
            # MASTER TURUNAN================================================
            path('tahapan/', include(
                [
                    path('', tahapan.indexTahapan, name='index_tahapan'),
                    path('create/', tahapan.create, name='admin_tahapan_create'),
                    path('edit/<str:id_tahapan>/', tahapan.edit, name='admin_tahapan_edit'),
                    path('soft_delete/<str:id_tahapan>/', tahapan.softDelete, name='admin_tahapan_soft_delete'),
                    path('restore/<str:id_tahapan>/', tahapan.restore, name='admin_tahapan_restore'),
                    
                ]
            )),

            # MASTER KEGIATAN================================================
            path('kegiatan/', include(
                [
                    path('', kegiatan.indexKegiatan, name='index_kegiatan'),
                    path('create/', kegiatan.create, name='admin_kegiatan_create'),
                    path('edit/<str:id_kegiatan>/', kegiatan.edit, name='admin_kegiatan_edit'),
                    path('soft_delete/<str:id_kegiatan>/', kegiatan.softDelete, name='admin_kegiatan_soft_delete'),
                    path('restore/<str:id_kegiatan>/', kegiatan.restoreKegiatan, name='admin_kegiatan_restore'),
                    path('parse-kegiatan-excel/', kegiatan.ParseKegiatanExcelViews.as_view(),name='parse_kegiatan_excel'),
                    
                ]
            )),

            # MASTER WILAYAH================================================
            path('wilayah/', include(
                [
                    path('', wilayah.admin_index, name='admin_wilayah'),
                    path('create/', wilayah.create, name='admin_wilayah_create'),
                    path('edit/<str:id>/', wilayah.edit, name='admin_wilayah_edit'),
                    path('soft_delete/<str:id>/', wilayah.softDelete, name='admin_wilayah_soft_delete'),
                    path('restore/<str:id>/', wilayah.restore, name='admin_wilayah_restore'),
                    
                ]
            )),

             # MASTER SKPD================================================
            path('opd/', include(
                [
                    path('', skpd.admin_index, name='admin_skpd'),
                    path('create/', skpd.create, name='admin_skpd_create'),
                    path('edit/<str:id>/', skpd.edit, name='admin_skpd_edit'),
                    path('soft_delete/<str:id>/', skpd.softDelete, name='admin_skpd_soft_delete'),
                    path('restore/<str:id>/', skpd.restore, name='admin_skpd_restore'),
                    
                ]
            )),

             # MASTER PERUSAHAAN================================================
            path('perusahaan/', include(
                [
                    path('', company.admin_index, name='admin_perusahaan'),
                    path('create/', company.create, name='admin_perusahaan_create'),
                    path('edit/<str:id>/', company.edit, name='admin_perusahaan_edit'),
                    path('soft_delete/<str:id>/', company.softDelete, name='admin_perusahaan_soft_delete'),
                    path('restore/<str:id>/', company.restore, name='admin_perusahaan_restore'),
                    
                ]
            )),

            # MASTER PEJABAT PENGESAH================================================
            path('pejabatpengesah/', include(
                [
                    path('', pengesah.admin_index, name='admin_pejabat_pengesah'),
                    path('create/', pengesah.create, name='admin_pejabatpengesah_create'),
                    path('edit/<str:id>/', pengesah.edit, name='admin_pejabatpengesah_edit'),
                    path('soft_delete/<str:id>/', pengesah.softDelete, name='admin_pejabat_soft_delete'),
                    path('restore/<str:id>/', pengesah.restore, name='admin_pejabat_restore'),
                    
                ]
            )),
            # MASTER PAJAK================================================
            path('pajak/', include(
                [
                    path('', pajak.admin_index, name='admin_pajak'),
                    path('create/', pajak.create, name='admin_pajak_create'),
                    path('edit/<str:id>/', pajak.edit, name='admin_pajak_edit'),
                    path('soft_delete/<str:id>/', pajak.softDelete, name='admin_pajak_soft_delete'),
                    path('restore/<str:id>/', pajak.restore, name='admin_pajak_restore'),
                    
                ]
            )),

            # MASTER PEMBAYARAN================================================
            path('masterstatuspembayaran/', include(
                [
                    path('', statuspembayaran.admin_index, name='admin_status_pembayaran'),
                    path('create/', statuspembayaran.create, name='admin_status_pembayaran_create'),
                    path('edit/<str:id>/', statuspembayaran.edit, name='admin_status_pembayaran_edit'),
                    path('soft_delete/<str:id>/', statuspembayaran.softDelete, name='admin_status_pembayaran_soft_delete'),
                    path('restore/<str:id>/', statuspembayaran.restore, name='admin_status_pembayaran_restore'),
                    
                ]
            )),
            # SPK================================================
            path('trans_spk/', include(
                [
                    path('', spk_.admin_index, name='admin_spk'),
                    path('create/', spk_.create, name='admin_spk_create'),

siapkerja/urls.py
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.views.static import serve
from django.views.generic import TemplateView

urlpatterns = [
    path('sudo_manage_panel/', admin.site.urls),
    path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='profile/admin/user/password/password_reset_complete.html'), name='password_reset_complete'), 
    path('accounts/', include("django.contrib.auth.urls")),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('', include('rizq_sanjaya_app.urls')),
    path('captcha/',include("captcha.urls")),
    re_path(r'^media/(?P<path>.*)$', serve,{'document_root': settings.MEDIA_ROOT}), 
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += [
    path('<path:unknown_url>', TemplateView.as_view(template_name='404.html'), name='404'),
]

rizq_sanjaya_app/views/admin.py
from django.shortcuts import render, HttpResponse
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from rizq_sanjaya_app.decorators import is_verified
from ..forms import *
from ..models import *
from django.db import connections
from ..helpers import dictfetchall

@login_required
@is_verified()
@require_http_methods(["GET"])
def index(request):
    

    # last_month = datetime.date.today() - datetime.timedelta(days=30)
    # with connections['default'].cursor() as cursor:
    #     cursor.execute("""
    #         SELECT 
    #             DISTINCT a.browser_type as browser_type,
    #             (SELECT count(b.browser_type) FROM public.rizq_sanjaya_app_logvisitor b 
    #             WHERE b.browser_type=a.browser_type and b.device_type<>'-') as total_count
    #         FROM public.rizq_sanjaya_app_logvisitor a WHERE a.device_type<>'-';""")
    #     browsers = dictfetchall(cursor)
    # browser_labels = []
    # browser_count = []
    # for browser in browsers:
    #     browser_labels.append(browser['browser_type'])
    #     browser_count.append(browser['total_count'])
    
    # with connections['default'].cursor() as cursor:
    #     cursor.execute("""
    #         SELECT 
    #             DISTINCT a.device_type as device_type,
    #             (SELECT count(b.device_type) FROM public.rizq_sanjaya_app_logvisitor b 
    #             WHERE b.device_type=a.device_type and b.device_type<>'-') as total_count
    #         FROM public.rizq_sanjaya_app_logvisitor a WHERE a.device_type<>'-';""")
    #     devices = dictfetchall(cursor)
    # device_labels = []
    # device_count = []
    # for device in devices:
    #     device_labels.append(device['device_type'])
    #     device_count.append(device['total_count'])
    
    # with connections['default'].cursor() as cursor:
    #     cursor.execute("""
    #         SELECT d::date as tanggal,
    #             (SELECT count(id) FROM public.rizq_sanjaya_app_logvisitor b 
    #             WHERE d::date=date(waktu) and b.device_type<>'-') as total_count
    #         FROM generate_series(DATE(NOW()) - INTERVAL '14 DAYS', DATE(NOW()), '1 day'::interval) d""")
    #     dates = dictfetchall(cursor)
    # date_labels = []
    # date_count = []
    # for date in dates:
    #     date_labels.append(date['tanggal'].strftime("%d/%m/%Y"))
    #     date_count.append(date['total_count'])

    context = {
        
        'title':'Dashboard',
        # 'device_labels': device_labels,
        # 'device_count': device_count,
        # 'date_labels': date_labels,
        # 'date_count': date_count,
        # 'browser_labels': browser_labels,
        # 'browser_count': browser_count,
        # 'agendas': agendas,
    }
    return render(request, 'profile/admin/index.html', context)

rizq_sanjaya_app/views/dashboard.py
from django.shortcuts import render, HttpResponse, redirect, get_object_or_404
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from django.utils import timezone
from django.conf import settings
from datetime import datetime
from ..decorators import *
from django.db import connections
from django.db.models import Q, Count
from ..helpers import dictfetchall, get_category
from django.core.paginator import Paginator, PageNotAnInteger, EmptyPage
import os
import pprint
from django.template.loader import render_to_string
import requests



@require_http_methods(["GET"])
def index(request):
#     profilSKPD_home = ProfilSKPD.objects.exclude(typexs='Misi').values('typexs').annotate(count=Count('typexs')).order_by('typexs')
#     layanan_skpd = LayananDinas.objects.exclude(status='Draft').annotate(count=Count('typexs'))
#     news =  News.objects.filter(deleted_at = None).order_by('-id')
#     news_side_home =  News.objects.filter(deleted_at = None).order_by('-id')[:5]
#     akses_link_home = Aksesbilitas.objects.exclude(status ='Draft')
#     home_agenda = InfoTerpadu.objects.filter(typexs='agenda',status='Publish')
#     context = {
         
#          'home_news':news,
#          'home_news_side':news_side_home,
#          'home_profilSKPD':profilSKPD_home, 
#          'home_starndar_pelayanan' :layanan_skpd,
#          'home_link_external':akses_link_home,
#          'home_agenda': home_agenda,
         
       
#     }
#     return render(request, 'profile/layouts/frontend/base.html', context)
      return render(request, 'profile/admin/index.html')

rizq_sanjaya_app/templates/profile/layouts/admin/footer.html
<footer class="sticky-footer bg-primary-dark text-dark">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span id="copyright"> Copyright
                &copy; <span id="current-year"></span> - Manage Panel Administrator. All Rights Reserved | by
                <a style="color:rgb(0, 0, 0);" href="https://sanjayateknologi.com/" target="_blank">SEO WEB CEPAT & FX</a>
            </span>
        </div>
    </div>
</footer>
<script>
    var currentYear = new Date().getFullYear();
    document.getElementById("current-year").innerHTML = currentYear;
</script>

rizq_sanjaya_app/templates/profile/layouts/admin/navbar.html
{% load static %}
  

<nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow1 fixed-top navbar1 ml-auto">
    
    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3 text-dark align-middle">
        <i class="bi bi-menu-button-wide align-middle"></i>
    </button>

    <ul class="navbar-nav ml-auto" >
        <li class="nav-item">
            <!-- <a class="nav-link text-dark" href="#" id="page-top">Siap Kerja</a> -->
        </li>

        {% if notif_guestbook > 0 %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_guestbook' %}" data-tooltip="tooltip" data-placement="top" title="{{notif_guestbook}} Buku Tamu belum dibaca">
                    <button class="btn btn-primary">
                        <i class=" bi bi-book text-white"></i> <span class="badge badge-danger" style="vertical-align: top">{{notif_guestbook}}</span>
                    </button>
                </a>
            </li>
        {% endif %}

        {% if notif_complaint > 0 %}
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_complaint' %}" data-tooltip="tooltip" data-placement="top" title="{{notif_complaint}} Pengaduan belum dibaca">
                    <button class="btn btn-primary">
                        <i class=" bi bi-chat text-white"></i> <span class="badge badge-danger" style="vertical-align: top">{{notif_complaint}}</span>
                    </button>
                </a>
            </li>
        {% endif %}
        
        <div class="topbar-divider d-none d-sm-block"></div>
        

        <li class="nav-item dropdown no-arrow">
            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ request.user.first_name }} {{ request.user.last_name }}</span>
                <img class="img-profile rounded-circle"
                {% if user.avatar %}
                    src="{{user.avatar.url}}"
                {% else %}
                    src="{% static '/admin/images/profile.png' %}"
                {% endif %}>
            </a>

            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                aria-labelledby="userDropdown">
                <a class="dropdown-item" href="{% url 'profile:admin_user_detail' %}">
                    <i class="bi bi-person-circle"></i>
                    Profile
                </a>
                <a class="dropdown-item" href="{% url 'profile:admin_user_password_edit' %}">
                    <i class="bi bi-key-fill"></i>
                    Ganti Password
                </a>
                <div class="dropdown-divider"></div>
                <button class="dropdown-item" href="#" onclick="logout()">
                    <i class="bi bi-box-arrow-right"></i>
                    Logout
                </button>
            </div>
        </li>
    </ul>

</nav>

rizq_sanjaya_app/templates/profile/layouts/admin/sidebar.html
{% load static %}
<style>
    .submenu{
        position: relative;

    }
    .sidebar1 {
        position: sticky;
        top: 0; 
        height: 100vh;
        width: auto; 
        overflow-y: 100px; 
    }
  </style>
  
<ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion sidebar1 " id="accordionSidebar">

    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{% url 'profile:admin_home' %}" style="background-color: white;">
        <div class="sidebar-brand-icon">
            <img src="{% static 'admin/images/logo-siapkerja.png' %}" width="100%" height="52" alt="Logo Manage Panel">
        </div>
        <div class="sidebar-brand-text mx-1">
            <img src="{% static 'admin/images/text-siapkerjaa.png' %}" width="100%" height="22" alt="Logo Manage Panel">
        </div>
    </a>

    <hr class="sidebar-divider my-0">
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_home' %}">
                <i class="bi bi-house"></i>
                <span>Dashboard</span>
            </a>
        </li>
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages">
                <i class="bi bi-gear"></i>
                <span>Master Data</span>
            </a>
            <div id="collapsePages" class="collapse {% if request.resolver_match.url_name == 'admin_kategori' or request.resolver_match.url_name == 'admin_setting_infografis' or request.resolver_match.url_name == 'admin_user' or request.resolver_match.url_name == 'admin_wilayah' or request.resolver_match.url_name == 'admin_skpd' or request.resolver_match.url_name == 'admin_perusahaan' or request.resolver_match.url_name == 'admin_pejabat_pengesah' or request.resolver_match.url_name == 'admin_pajak' or request.resolver_match.url_name == 'admin_status_pembayaran'  or request.resolver_match.url_name == 'admin_tahun'  %}show {% endif %}" aria-labelledby="headingPages" data-parent="#accordionSidebar" style="">
                <div class="bg-white py-2 collapse-inner rounded submenu">
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_setting_infografis' %}active{% endif %}"  href="{% url 'profile:admin_setting_infografis' %}">Setting Aplikasi</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_user' %}active{% endif %}"  href="{% url 'profile:admin_user' %}">Master User</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'index_tahapan' %}active{% endif %}"  href="{% url 'profile:index_tahapan' %}">Master Tahapan</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'index_kegiatan' %}active{% endif %}"  href="{% url 'profile:index_kegiatan' %}">Master Kegiatan</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_kategori' %}active{% endif %}" href="{% url 'profile:admin_kategori' %}">Master Kategori</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_tahun' %}active{% endif %}" href="{% url 'profile:admin_tahun' %}">Master Tahun</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_wilayah' %}active{% endif %}"  href="{% url 'profile:admin_wilayah' %}">Master Wilayah</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_skpd' %}active{% endif %}"  href="{% url 'profile:admin_skpd' %}">Master SKPD</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_perusahaan' %}active{% endif %}"  href="{% url 'profile:admin_perusahaan' %}">Master Perusahaan</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_pejabat_pengesah' %}active{% endif %}"  href="{% url 'profile:admin_pejabat_pengesah' %}">Master Pejabat Pengesah</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_pajak' %}active{% endif %}"  href="{% url 'profile:admin_pajak' %}">Master Pajak</a>
                    <a class="collapse-item {% if request.resolver_match.url_name == 'admin_status_pembayaran' %}active{% endif %}"  href="{% url 'profile:admin_status_pembayaran' %}">Master Status Pembayaran</a>
                </div>
            </div>
        </li>
    {% endif %}
    <hr class="sidebar-divider my-0">
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#inputdata" aria-expanded="false" aria-controls="inputdata">
            <i class="bi bi-file-earmark-text"></i>
            <span>Managemen Dokumen</span>
        </a>
        <div id="inputdata" class="collapse {% if request.resolver_match.url_name == 'admin_spk' or request.resolver_match.url_name == 'admin_managemen_bap' or request.resolver_match.url_name == 'admin_managemen_berkas' or request.resolver_match.url_name == 'admin_permohonan_pembayaran' or request.resolver_match.url_name == 'admin_managemen_faktur' or request.resolver_match.url_name == 'admin_managemen_berkas' or request.resolver_match.url_name == 'admin_dokumentasi_pekerjaan' or request.resolver_match.url_name == 'admin_faktur_detail' or request.resolver_match.url_name == 'admin_spk_detail' or request.resolver_match.url_name == 'admin_detail_pembayaran'  %}show{% endif %}" aria-labelledby="headingPages" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "dinas" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_spk' or request.resolver_match.url_name == 'admin_spk_detail' %}active{% endif %}"  href="{% url 'profile:admin_spk' %}">SPK </a>
                {% endif %}
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "perusahaan" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_permohonan_pembayaran' or request.resolver_match.url_name == 'admin_detail_pembayaran'  %}active{% endif %}"  href="{% url 'profile:admin_permohonan_pembayaran' %}">BA Pembayaran</a>
                {% endif %}
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "dinas" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_managemen_berkas' %}active{% endif %}"  href="{% url 'profile:admin_managemen_berkas' %}">BAST</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_managemen_bap' %}active{% endif %}"  href="{% url 'profile:admin_managemen_bap' %}">BAPA</a>
                {% endif %}
                
                
                {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "perusahaan" %}
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_managemen_faktur' or request.resolver_match.url_name == 'admin_faktur_detail'  %}active{% endif %}"  href="{% url 'profile:admin_managemen_faktur' %}">Faktur Tagihan</a>
                <a class="collapse-item d-none {% if request.resolver_match.url_name == 'admin_managemen_berkas' %}active{% endif %}"  href="{% url 'profile:admin_managemen_berkas' %}">Kwitansi</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_dokumentasi_pekerjaan' %}active{% endif %}"  href="{% url 'profile:admin_dokumentasi_pekerjaan' %}">Dokumentasi Pekerjaan</a>
                {% endif %}
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#laporan" aria-expanded="false" aria-controls="inputdata">
            <i class="bi bi-gear"></i>
            <span>Laporan</span>
        </a>
        <div id="laporan" class="collapse {% if request.resolver_match.url_name == 'admin_rekapitulasi_tagihan' or request.resolver_match.url_name == 'admin_realisasi' or request.resolver_match.url_name == 'admin_sisa_dana' %}show{% endif %}" aria-labelledby="headingPages" data-parent="#accordionSidebar">
            <div class="bg-white py-2 collapse-inner rounded">
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_rekapitulasi_tagihan' %}active{% endif %}" href="{% url 'profile:admin_rekapitulasi_tagihan' %}">Rekapitulasi Tagihan</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_realisasi' %}active{% endif %}" href="{% url 'profile:admin_realisasi' %}">Realisasi & Sisa PAGU</a>
                <a class="collapse-item {% if request.resolver_match.url_name == 'admin_sisa_dana' %}active{% endif %}" href="{% url 'profile:admin_sisa_dana' %}">Sisa Dana per Sub-unit </a>
            </div>
        </div>
    </li>
    <hr class="sidebar-divider ">

        
    <div class="text-center d-none d-md-inline pt-6">
        <button class="rounded-circle border-0 text-white" id="sidebarToggle">
            <i class="bi bi-layout-sidebar"></i>
        </button>
    </div>

   

</ul>